Bug 649781 - Review Request: cortado - Java media framework
Summary: Review Request: cortado - Java media framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 14:50 UTC by Hans de Goede
Modified: 2010-12-01 21:57 UTC (History)
3 users (show)

Fixed In Version: cortado-0.6.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-20 13:21:36 UTC
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2010-11-04 14:50:29 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/cortado.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/cortado-0.6.0-1.fc14.src.rpm
Description:
Cortado is a Java media framework based on GStreamer's design.

rpmlint output:
[hans@shalem devel]$ rpmlint *.src.rpm noarch/*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Peter Lemenkov 2010-11-17 09:32:52 UTC
Koji scratchbuild for F-14 (w.i.p. at the moment of writing):

http://koji.fedoraproject.org/koji/taskinfo?taskID=2605882

Comment 2 Peter Lemenkov 2010-11-17 10:03:22 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint cortado-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

- The package almost meets the Packaging Guidelines except the following:

* The javadoc sub-package should require jpackage-utils instead of %{name} because it could be used w/o main package.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GLPv2+ and LGPLv2+ for jheora).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum cortado-0.6.0.tar.gz*
37a708bfceba5b7b0b544456bb3857f708c83734dfb3f3f1ababcc602b923e85  cortado-0.6.0.tar.gz
37a708bfceba5b7b0b544456bb3857f708c83734dfb3f3f1ababcc602b923e85  cortado-0.6.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.



Ok, adjust explicit requirement in javadoc subpackage accordingly to draft version of Java Packaging Guidelines and I'll finish this review.

https://fedoraproject.org/wiki/User:Akurtakov/JavaPackagingDraftUpdate#Javadoc_installation

Comment 3 Hans de Goede 2010-11-17 11:11:03 UTC
Thanks for the review!

Here is a new version with the javadoc Requires fixed:
Spec URL: http://people.fedoraproject.org/~jwrdegoede/cortado.spec
SRPM URL:
http://people.fedoraproject.org/~jwrdegoede/cortado-0.6.0-2.fc14.src.rpm

Comment 4 Peter Lemenkov 2010-11-17 12:49:15 UTC
Ok, good. I can't see other issues, so this package is

APPROVED.


btw, I would like you to review this package in exchange:

https://bugzilla.redhat.com/show_bug.cgi?id=639263

Comment 5 Hans de Goede 2010-11-17 14:33:36 UTC
New Package SCM Request
=======================
Package Name: cortado
Short Description: Java media framework
Owners: jwrdegoede
Branches: f14
InitialCC:

Comment 6 Jason Tibbitts 2010-11-17 16:01:06 UTC
Git done (by process-git-requests).

Comment 7 Hans de Goede 2010-11-19 16:09:33 UTC
Hi,

Once more thanks for the review.

(In reply to comment #4)
> btw, I would like you to review this package in exchange:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=639263

I would be happy to review this in retur.,I've been unable to find the time for this the past 2 days, so it won't get around to it earlier then this Sunday.

Regards,

Hans

Comment 8 Hans de Goede 2010-11-20 13:21:36 UTC
Imported and build for rawhide, closing.

I'll do an F-14 build too as soon as jorbis gets tagged into the F-14 buildroot, see: https://fedorahosted.org/rel-eng/ticket/4265

Comment 9 Fedora Update System 2010-11-22 21:11:22 UTC
cortado-0.6.0-2.fc14,jorbis-0.0.17-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cortado-0.6.0-2.fc14,jorbis-0.0.17-4.fc14

Comment 10 Fedora Update System 2010-12-01 21:57:01 UTC
cortado-0.6.0-2.fc14, jorbis-0.0.17-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.